Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFConditionalFormatting

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFConditionalFormatting

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.ConditionalFormatting

    public class XSSFConditionalFormatting

extends java.lang.Object
implements org.apache.poi.ss.usermodel.ConditionalFormatting

Author:
  Yegor Kozlov

Method Summary
`void` | `addRule(org.apache.poi.ss.usermodel.ConditionalFormattingRule cfRule)` Add a Conditional Formatting rule.
`org.apache.poi.ss.util.CellRangeAddress[]` | `getFormattingRanges()`
`int` | `getNumberOfRules()`
`org.apache.poi.ss.usermodel.ConditionalFormattingRule` | `getRule(int idx)`
`void` | `setRule(int idx, org.apache.poi.ss.usermodel.ConditionalFormattingRule cfRule)` Replaces an existing Conditional Formatting rule at position idx.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFormattingRanges

    public org.apache.poi.ss.util.CellRangeAddress[] getFormattingRanges()

  Specified by:
    `getFormattingRanges` in interface `org.apache.poi.ss.usermodel.ConditionalFormatting`
  Returns:
    array of `CellRangeAddress`s. Never `null`

### setRule

    public void setRule(int idx,
                        org.apache.poi.ss.usermodel.ConditionalFormattingRule cfRule)

  Replaces an existing Conditional Formatting rule at position idx. Excel allows to create up to 3 Conditional Formatting rules. This method can be useful to modify existing Conditional Formatting rules.

  Specified by:
    `setRule` in interface `org.apache.poi.ss.usermodel.ConditionalFormatting`
  Parameters:
    `idx` - position of the rule. Should be between 0 and 2.
    `cfRule` - - Conditional Formatting rule

### addRule

    public void addRule(org.apache.poi.ss.usermodel.ConditionalFormattingRule cfRule)

  Add a Conditional Formatting rule. Excel allows to create up to 3 Conditional Formatting rules.

  Specified by:
    `addRule` in interface `org.apache.poi.ss.usermodel.ConditionalFormatting`
  Parameters:
    `cfRule` - - Conditional Formatting rule

### getRule

    public org.apache.poi.ss.usermodel.ConditionalFormattingRule getRule(int idx)

  Specified by:
    `getRule` in interface `org.apache.poi.ss.usermodel.ConditionalFormatting`
  Returns:
    the Conditional Formatting rule at position idx.

### getNumberOfRules

    public int getNumberOfRules()

  Specified by:
    `getNumberOfRules` in interface `org.apache.poi.ss.usermodel.ConditionalFormatting`
  Returns:
    number of Conditional Formatting rules.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD